Author vstinner
Recipients vstinner
Date 2019-07-09.11:39:13
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1562672353.94.0.772799556475.issue37322@roundup.psfhosted.org>
In-reply-to
Content
The test also logs an "Exception in thread Thread-2:" error:
---
vstinner@apu$ ./python -m test test_ssl -m test_pha_required_nocert -v
== CPython 3.9.0a0 (heads/master:110a47c4f4, Jul 8 2019, 23:52:00) [GCC 9.1.1 20190503 (Red Hat 9.1.1-1)]
== Linux-5.1.15-300.fc30.x86_64-x86_64-with-glibc2.29 little-endian
== cwd: /home/vstinner/python/master/build/test_python_21491
== CPU count: 8
== encodings: locale=UTF-8, FS=utf-8
Run tests sequentially
0:00:00 load avg: 1.77 [1/1] test_ssl
test_ssl: testing with 'OpenSSL 1.1.1c FIPS  28 May 2019' (1, 1, 1, 3, 15)
          under 'Linux-5.1.15-300.fc30.x86_64-x86_64-with-glibc2.29'
          HAS_SNI = True
          OP_ALL = 0x80000054
          OP_NO_TLSv1_1 = 0x10000000
test_pha_required_nocert (test.test_ssl.TestPostHandshakeAuth) ... Exception in thread Thread-2:
Traceback (most recent call last):
  File "/home/vstinner/python/master/Lib/test/test_ssl.py", line 2299, in run
    msg = self.read()
  File "/home/vstinner/python/master/Lib/test/test_ssl.py", line 2276, in read
    return self.sslconn.read()
  File "/home/vstinner/python/master/Lib/ssl.py", line 1101, in read
    return self._sslobj.read(len)
ssl.SSLError: [SSL: PEER_DID_NOT_RETURN_A_CERTIFICATE] peer did not return a certificate (_ssl.c:2560)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/vstinner/python/master/Lib/threading.py", line 938, in _bootstrap_inner
    self.run()
  File "/home/vstinner/python/master/Lib/test/test_ssl.py", line 2385, in run
    raise ssl.SSLError('tlsv13 alert certificate required')
ssl.SSLError: ('tlsv13 alert certificate required',)
/home/vstinner/python/master/Lib/threading.py:938: ResourceWarning: unclosed <ssl.SSLSocket fd=5, family=AddressFamily.AF_INET, type=SocketKind.SOCK_STREAM, proto=0, laddr=('127.0.0.1', 37995), raddr=('127.0.0.1', 52176)>
  self.run()
ResourceWarning: Enable tracemalloc to get the object allocation traceback
ok

----------------------------------------------------------------------

Ran 1 test in 0.028s

OK

== Tests result: SUCCESS ==

1 test OK.

Total duration: 179 ms
Tests result: SUCCESS
---

Attached PR 14670 makes this log quiet.
History
Date User Action Args
2019-07-09 11:39:14vstinnersetrecipients: + vstinner
2019-07-09 11:39:13vstinnersetmessageid: <1562672353.94.0.772799556475.issue37322@roundup.psfhosted.org>
2019-07-09 11:39:13vstinnerlinkissue37322 messages
2019-07-09 11:39:13vstinnercreate